Bug 126928 - New port: net/bwping A tool to measure bandwidth and RTT between two hosts using ICMP
Summary: New port: net/bwping A tool to measure bandwidth and RTT between two hosts us...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-28 22:50 UTC by Oleg Derevenetz
Modified: 2021-04-24 03:50 UTC (History)
2 users (show)

See Also:


Attachments
file.shar (1.52 KB, text/plain)
2008-08-28 22:50 UTC, Oleg Derevenetz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Derevenetz 2008-08-28 22:50:01 UTC
bwping is a tool to measure bandwidth and response times between two
hosts using Internet Control Message Protocol (ICMP) echo request/echo
reply mechanism.
Comment 1 Oleg Derevenetz 2008-08-29 00:19:44 UTC
Sorry, forgot to recalculate checksums.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#
echo x - Makefile
sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
X# Ports collection makefile for:  bwping
X# Date created:			  Fri Aug 29 2008
X# Whom:				  Oleg Derevenetz (oleg@vsi.ru)
X#
X# $FreeBSD$
X#
X
XPORTNAME=	bwping
XPORTVERSION=	1.0
XCATEGORIES=	net
XMASTER_SITES=	http://tclmon.vsi.ru/files/
XDISTNAME=	${PORTNAME}
X
XMAINTAINER=	oleg@vsi.ru
XCOMMENT=	A tool to measure bandwidth and RTT between two hosts using ICMP
X
XPLIST_FILES=	sbin/bwping
X
XGNU_CONFIGURE=	yes
XMAN8=		bwping.8
X
Xpost-install:
X	@${STRIP_CMD} ${PREFIX}/sbin/bwping
X	@${CHMOD} 4555 ${PREFIX}/sbin/bwping
X
X.include <bsd.port.mk>
b67911656ef5d18c4ae36cb6741b7965
echo x - distinfo
sed 's/^X//' >distinfo << '57677d168a5ec21bdf22c9501f075a8f'
XMD5 (bwping.tar.gz) = cc3e58060e248271d4c5b9e56a346d66
XSHA256 (bwping.tar.gz) = 08b5c3c10262057e1b935bcffb3addd4ec3a31fad79eef34c8296c2f2344f11d
XSIZE (bwping.tar.gz) = 74558
57677d168a5ec21bdf22c9501f075a8f
echo x - pkg-descr
sed 's/^X//' >pkg-descr << '7f9555c3c1089940396b503dd37f3979'
XA tool to measure bandwidth and response times between two
Xhosts using Internet Control Message Protocol (ICMP) echo
Xrequest/echo reply mechanism.
X
XWWW: http://tclmon.vsi.ru/utils.php
7f9555c3c1089940396b503dd37f3979
exit

--
Oleg Derevenetz <oleg@vsi.ru> OOD3-RIPE
Phone: +7 4732 539880
Fax:   +7 4732 531415         http://www.vsi.ru
CenterTelecom Voronezh ISP    http://isp.vsi.ru
Comment 2 Dmitry Marakasov freebsd_committer 2008-08-29 22:26:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov freebsd_committer 2008-08-29 22:28:55 UTC
State Changed
From-To: open->feedback

`fetch: http://tclmon.vsi.ru/files/bwping.tar.gz: size mismatch: 
expected 74592, actual 74558'. Please provide port with reliable 
download location where distfile doesn't change inplace (you may try to 
convince author to release and keep versioned tarballs).
Comment 4 Oleg Derevenetz 2008-08-30 00:14:40 UTC
On Fri, 29 Aug 2008 amdmi3@FreeBSD.org wrote:

> `fetch: http://tclmon.vsi.ru/files/bwping.tar.gz: size mismatch:
> expected 74592, actual 74558'. Please provide port with reliable
> download location where distfile doesn't change inplace (you may try to
> convince author to release and keep versioned tarballs).

There was no problem with download location but with distinfo - it was
not regenerated in original submit. Later I posted the same port with 
recalculated distinfo. Anyway, versioned tarballs is a good idea, and
there is port that used versioned tarballs:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#
echo x - Makefile
sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
X# Ports collection makefile for:  bwping
X# Date created:			  Fri Aug 29 2008
X# Whom:				  Oleg Derevenetz (oleg@vsi.ru)
X#
X# $FreeBSD$
X#
X
XPORTNAME=	bwping
XPORTVERSION=	1.0
XCATEGORIES=	net
XMASTER_SITES=	http://tclmon.vsi.ru/files/
X
XMAINTAINER=	oleg@vsi.ru
XCOMMENT=	A tool to measure bandwidth and RTT between two hosts using ICMP
X
XPLIST_FILES=	sbin/bwping
X
XGNU_CONFIGURE=	yes
XMAN8=		bwping.8
X
Xpost-install:
X	@${STRIP_CMD} ${PREFIX}/sbin/bwping
X	@${CHMOD} 4555 ${PREFIX}/sbin/bwping
X
X.include <bsd.port.mk>
b67911656ef5d18c4ae36cb6741b7965
echo x - distinfo
sed 's/^X//' >distinfo << '57677d168a5ec21bdf22c9501f075a8f'
XMD5 (bwping-1.0.tar.gz) = 672ccdfa4ec7d5600533b247d7251ea0
XSHA256 (bwping-1.0.tar.gz) = 9b4eaea67003886c98c58ed79972e4794e987c7f356cb9f8c77bf9159830d17b
XSIZE (bwping-1.0.tar.gz) = 74312
57677d168a5ec21bdf22c9501f075a8f
echo x - pkg-descr
sed 's/^X//' >pkg-descr << '7f9555c3c1089940396b503dd37f3979'
XA tool to measure bandwidth and response times between two
Xhosts using Internet Control Message Protocol (ICMP) echo
Xrequest/echo reply mechanism.
X
XWWW: http://tclmon.vsi.ru/utils.php
7f9555c3c1089940396b503dd37f3979
exit

--
Oleg Derevenetz <oleg@vsi.ru> OOD3-RIPE
Phone: +7 4732 539880
Fax:   +7 4732 531415         http://www.vsi.ru
CenterTelecom Voronezh ISP    http://isp.vsi.ru
Comment 5 Dmitry Marakasov freebsd_committer 2008-08-30 02:20:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks! (sorry, didn't notice you were the author :)
Comment 6 dfilter service freebsd_committer 2008-08-30 02:20:57 UTC
amdmi3      2008-08-30 01:20:48 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/bwping           Makefile distinfo pkg-descr 
  Log:
  A tool to measure bandwidth and response times between two
  hosts using Internet Control Message Protocol (ICMP) echo
  request/echo reply mechanism.
  
  WWW: http://tclmon.vsi.ru/utils.php
  
  PR:             126928
  Submitted by:   Oleg Derevenetz <oleg at serv2 dot vsi dot ru>
  
  Revision  Changes    Path
  1.2030    +1 -0      ports/net/Makefile
  1.1       +25 -0     ports/net/bwping/Makefile (new)
  1.1       +3 -0      ports/net/bwping/distinfo (new)
  1.1       +5 -0      ports/net/bwping/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 MARK WILSON 2021-04-23 08:18:55 UTC
MARKED AS SPAM
Comment 8 MARK WILSON 2021-04-23 08:19:01 UTC
MARKED AS SPAM
Comment 9 Daniel Weber 2021-04-24 03:50:05 UTC
MARKED AS SPAM